# Table `Objects`

Moveables, statics, cameras, and so on.

## Functions

GetMoveableByName(name) | Get a moveable by its name.
GetStaticByName(name) | Get a Static by its name.
GetMoveablesBySlot(slot) | Get moveables by its slot.
GetStaticsBySlot(slot) | Get statics by its slot.
GetRoomsByTag(tag) | Get rooms by tag.
GetCameraByName(name) | Get a Camera by its name.
GetSinkByName(name) | Get a Sink by its name.
GetSoundSourceByName(name) | Get a SoundSource by its name.
GetAIObjectByName(name) | Get an AIObject by its name.
GetVolumeByName(name) | Get a Volume by its name.
GetRoomByName(name) | Get a Room by its name.

## Functions

GetMoveableByName(name)
  Get a moveable by its name.

  ### Parameters:

  - name string the unique name of the Moveable as set in, or generated by, Tomb Editor

  ### Returns:

  Moveable a non-owning Moveable referencing the item.
GetStaticByName(name)
  Get a Static by its name.

  ### Parameters:

  - name string the unique name of the mesh as set in, or generated by, Tomb Editor

  ### Returns:

  Static a non-owning Static referencing the mesh.
GetMoveablesBySlot(slot)
  Get moveables by its slot.

  ### Parameters:

  - slot ObjID the unique slot of the Moveable, e.g. `Objects.ObjID.ANIMATING1`

  ### Returns:

  table table of Moveables referencing the given slot.
GetStaticsBySlot(slot)
  Get statics by its slot.

  ### Parameters:

  - slot int the unique slot of the mesh like 10

  ### Returns:

  table table of Statics referencing the given slot ID.
GetRoomsByTag(tag)
  Get rooms by tag.

  ### Parameters:

  - tag string to select rooms by

  ### Returns:

  table table of Rooms containing the given tag.
GetCameraByName(name)
  Get a Camera by its name.

  ### Parameters:

  - name string the unique name of the camera as set in, or generated by, Tomb Editor

  ### Returns:

  Camera a non-owning Camera referencing the camera.
GetSinkByName(name)
  Get a Sink by its name.

  ### Parameters:

  - name string the unique name of the sink as set in, or generated by, Tomb Editor

  ### Returns:

  Sink a non-owning Sink referencing the sink.
GetSoundSourceByName(name)
  Get a SoundSource by its name.

  ### Parameters:

  - name string the unique name of the sound source as set in, or generated by, Tomb Editor

  ### Returns:

  SoundSource a non-owning SoundSource referencing the sound source.
GetAIObjectByName(name)
  Get an AIObject by its name.

  ### Parameters:

  - name string the unique name of the AIObject as set in, or generated by, Tomb Editor

  ### Returns:

  AIObject a non-owning SoundSource referencing the AI moveable.
GetVolumeByName(name)
  Get a Volume by its name.

  ### Parameters:

  - name string the unique name of the volume as set in, or generated by, Tomb Editor

  ### Returns:

  Volume a non-owning Volume referencing the room.
GetRoomByName(name)
  Get a Room by its name.

  ### Parameters:

  - name string the unique name of the room as set in Tomb Editor

  ### Returns:

  Room a non-owning Room referencing the room.

generated by TEN-LDoc (a fork of LDoc 1.4.6)